When creating a new GRASS location, QGIS fails loading predefined regions
Status: Closed

Priority: Low

Assignee: Tom Elwertowski

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11291

Description

When creating a new GRASS location, QGIS fails loading predefined regions.

For every nation selected (from Afghanistan to Zimbabwe) it loads the following region values:

North=South=-90

East=West=-39
History

#1 - 2008-09-01 01:21 AM - Paolo Cavallini

Probably the same thing:

When setting up a new region, it fails:

Cannot reproject selected region.

Impossible to set a new region based on a nation, or draw a rectangle

For Italy, the coor shown are wrong:

N and S -9.99829e+06 E and W 1.5e+06

Probably because of:

OGR can't parse PROJ.4-style parameter string:

OGR Error code was 5

pm.isNull() = 0

...

Warning: Throwing exception

/usr/local/src/qgis/2008-07-23_0.11.0/0.11.0~gfossit20080723/qgis-0.11.0~gfossit20080723/src/core/qgscoordinatetransform.cpp502

QGIS 0.11 from debian.gfoss.it.

#2 - 2008-09-08 12:40 AM - Marco Pasetti -

The bug still applies on latest trunk builds.

Changed from Win Platform to All (see above)
#3 - 2008-09-10 06:38 AM - Tom Elwertowski

The problem was introduced between 0.10 and 0.11 (tested using Mac builds).

The "can't parse" error appears to be unimportant -- it occurs because there is no initial selection when the projection list is first shown. The routine is called

again when a projection is selected.

The problem, which I don't understand yet, is that [[QgsCoordinateTransform]] is returning the same output point for any input point. Perhaps some

parameter is so far off that every input point is transformed into the same output point.

#4 - 2008-09-10 11:28 PM - Tom Elwertowski

- Resolution set to fixed

- Status changed from Open to Closed

Magic numbers were not updated when the srs.db was updated in commit:9eca6b7c (SVN r8721). Fixed by commit:077f0a69 (SVN r9297).

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
